package cn.stylefeng.workflow.design.api.format;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.extra.spring.SpringUtil;
import cn.stylefeng.roses.kernel.rule.format.BaseSimpleFieldFormatProcess;
import cn.stylefeng.workflow.design.api.ModelApi;

public class ModelNameFormatProcess extends BaseSimpleFieldFormatProcess {

    @Override
    public Class<?> getItemClass() {
        return Long.class;
    }

    @Override
    public Object simpleItemFormat(Object businessId) {
        if (ObjectUtil.isEmpty(businessId)) {
            return null;
        }

        ModelApi modelApi = SpringUtil.getBean(ModelApi.class);

        try {
            return modelApi.getModelName(Convert.toLong(businessId));
        } catch (Exception e) {

            return null;
        }
    }

}
